1

I would like to compile the Guest Additions from Virtual Box 4.2.12 on Ubuntu 14.04.3 LTS. It is required to run gvim properly (see addendum below).

I can confirm that I was able to do so in 13.04 with Virtual Box 4.3.6. After countless hours of rebooting and reinstalling VMs and different Guest Additions I know with 100% certainty, regardless of the source of the bug, that 4.2.12 solved all my partial redraw issues in gvim.

Now in a new 14.04 VM I am unable to compile 4.2.12 and am desperate to get it working. I tried under Virtual Box 5.0.4 and 4.3.30. Heck even installing Guest Additions 4.3.0 (VB 4.3.30, Ubuntu 14.04.3 LTS) fails.

The compilation fails, on a fresh installation of Ubuntu 14.04.3 (with updates) under Virtual Box 5.0.4 and 4.3.30. Either it fails at the shared folder module, or it says:

Warning: unknown version of the X Window System installed. Not installing
X Window System drivers.

Even when I do manage to compile (Guest Additions 4.3.30), it always says:

The headers for the current running kernel were not found. If the following
module compilation fails then this could be the reason.

I did all the usual tips, to no avail:

sudo apt-get update
sudo apt-get remove dkms build-essential linux-headers-*
sudo apt-get install build-essential
sudo apt-get install linux-headers-$(uname -r)
sudo apt-get install module-assistant

Is it possible to compile Guest Additions 4.2.12 at all under 14.04.3 ?

Addendum

Why install 4.2.12 you may ask? Well there is a very obscure bug with either GTK or Guest Additions for Ubuntu under a Windows 7 host (both 64 bit, with 3D enabled). There are redraw issues in gvim when switching tabs (tabs do not redraw properly) and when moving through the file, where only partial updates happen. gvim is absolutely essential for my workflow. You can see in my answer here that I have tried many VMs and Guest Additions versions, to isolate 4.2.12.

I also compiled gvim 7.3.637 under 14.04.3, and applied the patch from Chris in issue 91 to no avail.

Other things that don't solve my gvim issue (without 4.2.12), just in case:

  • setting ttyscroll=0 in vim
  • enabling "Qt Window Fix" in Compiz Config Settings Manager
  • starting gvim with --syncoption
3

X-server-1.5.-support is only available from Virtualbox >= 4.2.28.

So the error we see is related to Ubuntu using a newer XServer version which is not yet supported in older releases of the VirtualBox guest additions (also see this bug report).

This is why guest additions version 4.2.12 refuse to compile in Ubuntu 14.04.

  • Thanks! I was wondering about such dependencies but had not idea how to find them. So I should be able to compile 4.2.28 and higher in 14.04? Oh well.. so I guess if my gvim issue can't be solved, I would have to install 4.2.12 on top of Ubuntu 12.04 LTS then. – Bleep Bloop Sep 11 '15 at 16:36
  • @faB: did you already try with the latest version 5.0.4? The devs usually do a great job in fixing bugs but sadly some last forever. – Takkat Sep 11 '15 at 16:53
  • thanks again.. after more fiddling I finally found a workaround in the latest Ubuntu & Virtual Box with Compiz Config Setting Manager > Utility > Workaround > "force full redraw on repaint" setting. – Bleep Bloop Sep 13 '15 at 11:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.